Index: app_meetme.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_meetme.c,v
retrieving revision 1.3
diff -u -r1.3 app_meetme.c
--- app_meetme.c	13 Aug 2003 15:25:16 -0000	1.3
+++ app_meetme.c	20 Aug 2003 21:59:42 -0000
@@ -55,9 +55,10 @@
 "      'q' -- quiet mode (don't play enter/leave sounds)\n";
 
 static char *descrip2 =
-"  MeetMeCount(confno): Plays back the number of users in the specified MeetMe\n"
-"conference.  Returns 0 on success or -1 on a hangup.  A ZAPTEL INTERFACE\n"
-"MUST BE INSTALLED FOR CONFERENCING FUNCTIONALITY.\n";
+"  MeetMeCount(confno[|var]): Plays back the number of users in the specifiedi\n"
+"MeetMe conference. If var is specified, playback will be skipped and the value\n"
+"will be returned in the variable. Returns 0 on success or -1 on a hangup.\n"
+"A ZAPTEL INTERFACE MUST BE INSTALLED FOR CONFERENCING FUNCTIONALITY.\n";
 
 STANDARD_LOCAL_USER;
 
@@ -490,19 +491,38 @@
 	int res = 0;
 	struct conf *conf;
 	int cnt;
+	char *confnum,*localdata,*mhandle;
+	char val[5] = "0"; /* I don't think we will ever get 99,999 callers into a single meetme */
+       
 	if (!data || !strlen(data)) {
 		ast_log(LOG_WARNING, "MeetMeCount requires an argument (conference number)\n");
 		return -1;
 	}
+	mhandle = malloc(strlen(data)); 
+	localdata = mhandle; /* this is to make sure I have the original pointer for the free below */
+	if(!mhandle){
+	        ast_log(LOG_WARNING, "MeetMeCount couldn't malloc data space\n");
+	        return -1;
+	}
 	LOCAL_USER_ADD(u);
-	conf = find_conf(data, 0);
+	strcpy(localdata,data);
+	confnum = strsep((char*) &localdata,"|");       
+	conf = find_conf(confnum, 0);
 	if (conf)
 		cnt = conf->users;
 	else
 		cnt = 0;
-	if (chan->_state != AST_STATE_UP)
-		ast_answer(chan);
-	res = ast_say_number(chan, cnt, "", chan->language);
+
+	if(strlen(localdata)){
+	        /* have var so load it and exit */
+	        sprintf(val,"%i",cnt);
+	        pbx_builtin_setvar_helper(chan, localdata,(void*) &val);
+	}else{
+	        if (chan->_state != AST_STATE_UP)
+	                ast_answer(chan);
+	        res = ast_say_number(chan, cnt, "", chan->language);
+	}
+	free(mhandle);
 	LOCAL_USER_REMOVE(u);
 	return res;
 }
